Get Parameters of crm.lead.details.configuration.get
If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.
Scope:
crmWho can execute the method:
- any user can retrieve their own and shared settings,
- a user with the "Allow to modify settings" access permission in CRM can retrieve others' settings.
DEPRECATED
The development of this method has been halted. Please use crm.item.details.configuration.get.
The method crm.lead.details.configuration.get retrieves the settings for lead cards.
Warning
The settings for repeat leads may differ from those for simple leads. To switch between lead card settings, use the lead.customer.type parameter in extras.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
userId |
The identifier of the user for whom to retrieve personal configuration. If the parameter is not provided, the Required only when requesting personal settings |
|
scope |
The scope of the settings. Possible values:
The default value is |
|
extras |
Additional parameters. The structure is described below |
Extras Parameter
|
Name |
Description |
|
lead.customer.type |
Type of lead. Possible values:
|
Code Examples
How to Use Examples in Documentation
-
Retrieve Personal Configuration of the Card
cURL (Webhook)cURL (OAuth)JSPHPBX24.jsPHP CRestcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"P","userId":1}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.lead.details.configuration.getcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"P","userId":1,"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.lead.details.configuration.gettry { const response = await $b24.callMethod( 'crm.lead.details.configuration.get', { scope: 'P', userId: 1, } ); const result = response.getData().result; console.log('Data:', result); processResult(result); } catch( error ) { console.error('Error:', error); }try { $response = $b24Service ->core ->call( 'crm.lead.details.configuration.get', [ 'scope' => 'P', 'userId' => 1 ] ); $result = $response ->getResponseData() ->getResult(); echo 'Success: ' . print_r($result, true); processData($result); } catch (Throwable $e) { error_log($e->getMessage()); echo 'Error: ' . $e->getMessage(); }BX24.callMethod( 'crm.lead.details.configuration.get', { scope: "P", userId: 1, }, (result) => { result.error() ? console.error(result.error()) : console.info(result.data()) ; }, );require_once('crest.php'); $result = CRest::call( 'crm.lead.details.configuration.get', [ 'scope' => 'P', 'userId' => 1 ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Retrieve Shared Configuration of the Card
cURL (Webhook)cURL (OAuth)JSPHPBX24.jsPHP CRestcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"C"}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.lead.details.configuration.getcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"scope":"C","auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.lead.details.configuration.gettry { const response = await $b24.callMethod( 'crm.lead.details.configuration.get', { scope: 'C', } ); const result = response.getData().result; console.log('Configuration details:', result); processResult(result); } catch( error ) { console.error('Error:', error); }try { $response = $b24Service ->core ->call( 'crm.lead.details.configuration.get', [ 'scope' => 'C' ] ); $result = $response ->getResponseData() ->getResult(); echo 'Success: ' . print_r($result, true); processData($result); } catch (Throwable $e) { error_log($e->getMessage()); echo 'Error fetching lead details configuration: ' . $e->getMessage(); }BX24.callMethod( 'crm.lead.details.configuration.get', { scope: "C", }, (result) => { result.error() ? console.error(result.error()) : console.info(result.data()) ; }, );require_once('crest.php'); $result = CRest::call( 'crm.lead.details.configuration.get', [ 'scope' => 'C' ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP Status: 200
{
"result": [
{
"name": "main",
"title": "About the Lead",
"type": "section",
"elements": [
{
"name": "TITLE",
"optionFlags": "0"
},
{
"name": "STATUS_ID",
"optionFlags": "0"
},
{
"name": "SOURCE_ID",
"optionFlags": "0"
}
]
},
{
"name": "additional",
"title": "Additional",
"type": "section",
"elements": [
{
"name": "ASSIGNED_BY_ID",
"optionFlags": "0"
},
{
"name": "COMMENTS",
"optionFlags": "0"
}
]
}
],
"time": {
"start": 1720624891.017344,
"finish": 1720624891.405621,
"duration": 0.3882770538330078,
"processing": 0.02097320556640625,
"date_start": "2024-07-10T17:21:31+02:00",
"date_finish": "2024-07-10T17:21:31+02:00",
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
The root element of the response. Contains the configuration of the lead card sections. Returns |
|
time |
Information about the execution time of the request |
Section Object
|
Name |
Description |
|
name |
Unique name of the section |
|
title |
Title of the section |
|
type |
Type of the section |
|
elements |
List of fields displayed in the section |
Section Element Object
|
Name |
Description |
|
name |
Field identifier |
|
optionFlags |
Values:
|
|
options |
Additional options for the field |
Error Handling
HTTP Status: 400
{
"error": "",
"error_description": "Access denied."
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Value |
|
|
Access denied |
Insufficient permissions to retrieve the requested configuration |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not permitted for calls using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The HTTPS protocol is required for method calls |
|
|
|
The REST API is blocked due to overload. This is a manual individual block; please contact Bitrix24 technical support to lift it |
|
|
|
The REST API is only available on commercial plans |
|
|
|
The user associated with the access token or webhook used to call the method lacks the necessary permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the portal administrator has restricted access to this application to specific users only |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the "Temporary closure of the public part of the site" option. Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Managing Lead Cards: Overview of Methods
- Resetting the Parameters of crm.lead.details.configuration.reset
- Set Parameters for crm.lead.details.configuration.set
- Set Common Lead Card for All Users crm.lead.details.configuration.forceCommonScopeForAll